## List Counters

### cURL

```
curl --request GET \
  --url https://api.m3ter.com/organizations/{orgId}/counters \
  --header 'Authorization: Bearer <token>'
```

```
import requests

url = "https://api.m3ter.com/organizations/{orgId}/counters"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

```
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.m3ter.com/organizations/{orgId}/counters', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

```


```

### Responses

- **200**

- **4XX**  
- **5XX**

```
{
  "data": [
    {
      "id": "<string>",
      "version": 123,
      "dtCreated": "2023-11-07T05:31:56Z",
      "dtLastModified": "2023-11-07T05:31:56Z",
      "createdBy": "<string>",
      "lastModifiedBy": "<string>",
      "code": "<string>",
      "productId": "<string>",
      "name": "<string>",
      "unit": "<string>"
    }
  ],
  "nextToken": "<string>"
}
```

```
{
  "message": "<string>"
}
```

```
{
  "message": "<string>"
}
```

### Authorizations

Authorization
- **Type**: string
- **Location**: header
- **Required**: Yes

m3ter supports machine to machine authentication using the `clientCredentials` OAuth2 flow. The `authorizationCode` flow controls access for human users via the m3ter Console application.

### Path Parameters

- **orgId**  
    - **Type**: string  
    - **Required**: Yes  
    - **Description**: UUID of the organization

### Query Parameters

- **pageSize**  
    - **Type**: integer<int32>
    - **Description**: Number of Counters to retrieve per page  
    - **Required range**: `1 <= x <= 200`

- **nextToken**  
    - **Type**: string  
    - **Description**: NextToken for multi page retrievals.

- **ids**  
    - **Type**: string[]  
    - **Description**: List of Counter IDs to retrieve.

- **codes**  
    - **Type**: string[]  
    - **Description**: List of Counter codes to retrieve. These are unique short codes to identify each Counter.

- **productId**  
    - **Type**: string[]  
    - **Description**: List of Products UUIDs to retrieve Counters for.

### Response

- **200**  
- **Content-Type**: application/json  
- **Description**: Returns the list of Counters.

- **data**  
    - **Type**: object[]

- **nextToken**  
    - **Type**: string
